Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 29447

Summary: [umbrella] Property sheet should be rewritten as a JTable
Product: platform Reporter: _ tboudreau <tboudreau>
Component: ExplorerAssignee: _ tboudreau <tboudreau>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P3 CC: jglick, jskrivanek, leonchiver, mihmax, mmirilovic, raccah, ttran
Version: 3.xKeywords: UMBRELLA
Target Milestone: 3.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: TASK Exception Report:
Bug Depends on: 33250, 33251, 33252, 33257, 33297, 33300, 33705, 33706, 33707, 33708, 33709, 33710, 33711, 33712, 33714, 33815, 33817, 33819, 34087, 34825, 34829, 34830, 34832, 34833, 34835, 34836, 34837, 34838, 34839, 34951    
Bug Blocks: 9691, 11783, 16430, 16542, 17184, 19316, 19527, 20734, 20736, 20872, 21901, 22422, 23782, 26013, 26094, 26350, 26566, 29257, 30762, 31802, 31842, 31896, 31900, 31928, 33140, 33686, 34245, 34827, 35694    
Attachments: Final diff of property sheet + docs and tests

Description _ tboudreau 2002-12-10 23:56:02 UTC
Creating an umbrella issue for property sheet
rewrite.  Anyone with
interesting requirements can add them to this issue.
Comment 1 Jesse Glick 2003-01-08 20:06:49 UTC
Tim, this umbrella is inverted I think - should depend on, not block,
all those issues.
Comment 2 _ tboudreau 2003-01-09 13:27:17 UTC
Inverting the umbrella and changing status to started.

Work can be found on branch propsheet_issue_29447
Comment 3 _ tboudreau 2003-01-09 13:28:55 UTC
Looks like inverting the umbrella must be a 2 step process or 
issuezilla complains about cyclical dependencies.  My apologies to
everyone being spammed by issuezilla.
Comment 4 Jesse Glick 2003-01-09 20:35:11 UTC
I think this should not be marked FIXED, it is not yet done surely?!
Please reopen.
Comment 5 _ tboudreau 2003-01-10 10:03:42 UTC
Weird, I don't know how that happened - either I clicked
fixed inadvertently or somehow the umbrella inverting
had that effect.
Comment 6 _ tboudreau 2003-04-25 10:33:42 UTC
Changing issues that require the rewrite to be fixed to
depends field, per Trung's suggestion.  Only tasks and
fixes required from other parts of the codebase should
be in the blocks field.  
Comment 7 _ tboudreau 2003-04-25 10:35:20 UTC
Phase 2, moving former dependencies to blocks field.
My apologies for the emails.
Comment 8 _ tboudreau 2003-07-16 17:56:05 UTC
Created attachment 10999 [details]
Final diff of property sheet + docs and tests
Comment 9 _ tboudreau 2003-07-16 19:31:42 UTC
Committed to trunk.  Will attach commit log.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo